org.eclipse.incquery.viewers.runtime.model

## Interface Item

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, FormattableElement, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ItemExtender, ItemImpl

      public interface Item
      extends FormattableElement

  A representation of the model object 'Item'.

  The following features are supported:

  - `Parent`
  - `Children`
  - `Policy`
  - `Param Object`
  - `Param EObject`
  See Also:
    `NotationPackage.getItem()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Item>` | `getChildren()` Returns the value of the 'Children' reference list.
    `org.eclipse.emf.ecore.EObject` | `getParamEObject()` Returns the value of the 'Param EObject' reference.
    `java.lang.Object` | `getParamObject()` Returns the value of the 'Param Object' attribute.
    `Item` | `getParent()` Returns the value of the 'Parent' reference.
    `HierarchyPolicy` | `getPolicy()` Returns the value of the 'Policy' attribute.
    `void` | `setParamEObject(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Param EObject`' reference.
    `void` | `setParamObject(java.lang.Object value)` Sets the value of the '`Param Object`' attribute.
    `void` | `setParent(Item value)` Sets the value of the '`Parent`' reference.
    `void` | `setPolicy(HierarchyPolicy value)` Sets the value of the '`Policy`' attribute.

    - ### Methods inherited from interface org.eclipse.incquery.viewers.runtime.model.FormattableElement

      `getFormat, getId, getLabel, setFormat, setId, setLabel`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getParent

          Item getParent()

      Returns the value of the 'Parent' reference. It is bidirectional and its opposite is '`Children`'.

      If the meaning of the 'Parent' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parent' reference.
      See Also:
        `setParent(Item)`, `NotationPackage.getItem_Parent()`, `getChildren()`

    - #### setParent

          void setParent(Item value)

      Sets the value of the '`Parent`' reference.
      Parameters:
        `value` - the new value of the 'Parent' reference.
      See Also:
        `getParent()`

    - #### getChildren

          org.eclipse.emf.common.util.EList<Item> getChildren()

      Returns the value of the 'Children' reference list. The list contents are of type `Item`. It is bidirectional and its opposite is '`Parent`'.

      If the meaning of the 'Children' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Children' reference list.
      See Also:
        `NotationPackage.getItem_Children()`, `getParent()`

    - #### getPolicy

          HierarchyPolicy getPolicy()

      Returns the value of the 'Policy' attribute. The literals are from the enumeration `HierarchyPolicy`.

      If the meaning of the 'Policy' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Policy' attribute.
      See Also:
        `HierarchyPolicy`, `setPolicy(HierarchyPolicy)`, `NotationPackage.getItem_Policy()`

    - #### setPolicy

          void setPolicy(HierarchyPolicy value)

      Sets the value of the '`Policy`' attribute.
      Parameters:
        `value` - the new value of the 'Policy' attribute.
      See Also:
        `HierarchyPolicy`, `getPolicy()`

    - #### getParamObject

          java.lang.Object getParamObject()

      Returns the value of the 'Param Object' attribute.

      If the meaning of the 'Param Object' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Param Object' attribute.
      See Also:
        `setParamObject(Object)`, `NotationPackage.getItem_ParamObject()`

    - #### setParamObject

          void setParamObject(java.lang.Object value)

      Sets the value of the '`Param Object`' attribute.
      Parameters:
        `value` - the new value of the 'Param Object' attribute.
      See Also:
        `getParamObject()`

    - #### getParamEObject

          org.eclipse.emf.ecore.EObject getParamEObject()

      Returns the value of the 'Param EObject' reference.

      If the meaning of the 'Param EObject' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Param EObject' reference.
      See Also:
        `setParamEObject(EObject)`, `NotationPackage.getItem_ParamEObject()`

    - #### setParamEObject

          void setParamEObject(org.eclipse.emf.ecore.EObject value)

      Sets the value of the '`Param EObject`' reference.
      Parameters:
        `value` - the new value of the 'Param EObject' reference.
      See Also:
        `getParamEObject()`